module VARIAVEIS

! inclusão de módulos do Fortran90

use msflib  ! para encerramento do programa

use msfwin  ! para o comando setwindowtext

! -----------------------------------------------

! definição das variáveis globais do programa

implicit none

integer   :: n               ! número de elementos dos vetores
integer   :: i               ! número do elemento dos vetores
integer   :: tipo_de_calculo ! a realizar

integer   :: local_maximo(1) ! posição do valor máximo do vetor b
integer   :: local_minimo(1) ! posição do valor mínimo do vetor b

real*8    :: soma            ! soma dos valores do vetor b
real*8    :: maximo          ! valor máximo do vetor b
real*8    :: minimo          ! valor mínimo do vetor b

! vetores com dimensão aberta e alocáveis
real*8,dimension(:),allocatable :: a, b

integer*4 :: fim ! fecha framewindow

logical :: dos   ! acessa prompt dos
logical :: name  ! nome da framewindow

end module VARIAVEIS